#!/usr/bin/env python3
import sys
import os
import json

sys.path.append(os.path.dirname(os.path.dirname(__file__)))
from analytics.analytics import Analytics

print("Content-Type: application/json")
print("Access-Control-Allow-Origin: *")
print()

try:
    analytics = Analytics()
    print(json.dumps(analytics.get_stats()))
except Exception as e:
    print(json.dumps({
        'total_visits': 0,
        'today_visits': 0,
        'total_searches': 0,
        'error': str(e)
    }))
